Pulp - Task #2243

Create custom django User model
09/08/2016 09:02 PM - ttereshc

Status: CLOSED - CURRENTRELEASE Start date:

Priority: Normal Due date:

Assignee: dkliban@redhat.com % Done: 100%
Category: Estimated time: 0:00 hour
Sprint/Milestone: 3.0.0

Platform Release: Tags:

Groomed: Yes Sprint: Sprint 10
Sprint Candidate: Yes Quarter:

Description

Django User model has some limitations like 30 chars for a username, so we have to substitute it with our own one.

It is probably not a bad idea to keep our implementation as close as possible to the Django one, so we will be able to use mostly
as-is the related classes like UserManager, UserAdmin. At the same time we will have some attributes which we currently do not
use.

In case we use django-guardian for authz, which seems likely, be sure to read this:

https://django-guardian.readthedocs.io/en/stable/userguide/custom-user-model.html

Related issues:

Related to Pulp - Task #2090: Create a plan for user/auth in 3.0 CLOSED - CURRENTRELEASE
Blocks Pulp - Task #2356: Add serializer for the user model CLOSED - CURRENTRELEASE
Blocks Pulp - Story #2358: As a user, | can authenticate with username and pa... CLOSED - CURRENTRELEASE

Associated revisions

Revision c6e9964a - 11/04/2016 07:48 PM - dkliban@redhat.com

Adds a custom User model to pulp.app

This commit also changes the label of the Pulp Django app from 'pulp’ to 'pulp_app'. closes #2243 https://pulp.plan.io/issues/2243

Revision c6e9964a - 11/04/2016 07:48 PM - dkliban@redhat.com

Adds a custom User model to pulp.app

This commit also changes the label of the Pulp Django app from 'pulp' to 'pulp_app'. closes #2243 https://pulp.plan.io/issues/2243

History

#1 - 09/12/2016 09:43 PM - ttereshc
- Related to Task #2090: Create a plan for user/auth in 3.0 added

#2 - 09/16/2016 03:44 PM - mhrivnak

- Description updated

#3 -10/19/2016 05:12 PM - ttereshc
- Blocks Task #2356: Add serializer for the user model added

#4 - 10/19/2016 05:35 PM - ttereshc

- Blocks Story #2358: As a user, | can authenticate with username and password stored in Pulp added

#5 - 10/20/2016 02:57 PM - mhrivnak
- Groomed changed from No to Yes

- Sprint Candidate changed from No to Yes
https://docs.djangoproject.com/en/1.8/ref/contrib/auth/#django.contrib.auth.models.User
https://docs.djangoproject.com/en/1.8/topics/auth/customizing/#auth-custom-user
https://django-guardian.readthedocs.io/en/stable/userguide/custom-user-model.html
https://pulp.plan.io/issues/2243
https://pulp.plan.io/issues/2243

#6 - 10/20/2016 04:13 PM - mhrivnak
- Sprint/Milestone set to 28

#7 - 11/03/2016 12:31 AM - dkliban@redhat.com
- Status changed from NEW to ASSIGNED

- Assignee set to dkliban@redhat.com

#8 - 11/03/2016 03:36 PM - dkliban@redhat.com
- Status changed from ASSIGNED to POST

https://github.com/pulp/pulp/pull/2817

#9 - 11/04/2016 07:53 PM - dkliban@redhat.com
- Status changed from POST to MODIFIED
- % Done changed from 0 to 100

Applied in changeset pulp|c6e9964a98f27a5747ae4eal177ab8dcae0316465.

#10 - 07/31/2017 06:47 PM - bmbouter
- Tags deleted (Pulp 3 Modeling)

#11 - 03/08/2018 08:12 PM - bmbouter
- Sprint set to Sprint 10

#12 - 03/08/2018 08:13 PM - bmbouter
- Sprint/Milestone deleted (28)

#13 - 04/25/2019 06:47 PM - daviddavis
- Sprint/Milestone set to 3.0.0

#14 - 04/26/2019 10:39 PM - bmbouter
- Tags deleted (Pulp 3)

#15 - 12/13/2019 06:10 PM - bmbouter
- Status changed from MODIFIED to CLOSED - CURRENTRELEASE

01/25/2021

22


https://github.com/pulp/pulp/pull/2817
https://pulp.plan.io/projects/pulp/repository/pulp/revisions/c6e9964a98f27a5747ae4ea177ab8dcae0316465
http://www.tcpdf.org

